  import { Component } from '@angular/core';
  import { CommonModule } from '@angular/common';
  import {Observable, of} from "rxjs";
  import {HttpClient, HttpHeaders} from "@angular/common/http";
  import {Employee} from "../../data_layer/model/employee";

  @Component({
    selector: 'app-employee-list',
    standalone: true,
    imports: [CommonModule],
    templateUrl: './employee-list.component.html',
    styleUrl: './employee-list.component.css'
  })
  export class EmployeeListComponent {
    bearer = 'eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIiwia2lkIiA6ICIzUFQ0dldiNno5MnlQWk1EWnBqT1U0RjFVN0lwNi1ELUlqQWVGczJPbGU0In0';
    employees$: Observable<Employee[]>;

    constructor(private http: HttpClient) {
      this.employees$ = of([]);
      this.fetchData();
    }

    fetchData() {
      this.employees$ = this.http.get<Employee[]>('http://localhost:8089/employees', {
        headers: new HttpHeaders()
          .set('Content-Type', 'application/json')
          .set('Authorization', `Bearer ${this.bearer}`)
      });
    }
  }
